import * as t from '@babel/types';
export declare function convertFunctionTypeAnnotation(node: t.TSFunctionType | t.TSMethodSignature | t.TSCallSignatureDeclaration | t.TSDeclareFunction | t.TSDeclareMethod): {
    typeParams: {
        leadingComments?: readonly t.Comment[] | null | undefined;
        innerComments?: readonly t.Comment[] | null | undefined;
        trailingComments?: readonly t.Comment[] | null | undefined;
        start?: number | null | undefined;
        end?: number | null | undefined;
        loc?: t.SourceLocation | null | undefined;
        range?: [number, number] | undefined;
        extra?: Record<string, unknown> | undefined;
        type: "TypeParameterDeclaration";
        params: t.TypeParameter[];
    } | undefined;
    parameters: t.FunctionTypeParam[];
    rest: t.FunctionTypeParam | null;
    returnType: t.FlowType | null;
};
//# sourceMappingURL=convertFunctionTypeAnnotation.d.ts.map